
package de.ivu.elect.presentation.email.action;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.email.entity.Email;
import de.ivu.elect.jee.presentation.action.AbstractActionMenuModelBuilder;
import de.ivu.elect.jee.presentation.action.ActionEntry;

@Named(EmailActionMenu.COMPONENT_NAME)
public class EmailActionMenu extends AbstractActionMenuModelBuilder<Email> {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "emailActionMenu";

  @Inject
  private transient EmailSendeErneutAction emailSendeErneutAction;

  @Inject
  private transient EmailDeleteAction emailDeleteAction;

  public EmailActionMenu() {
    super();
  }

  @Override
  protected List<ActionEntry<Email>> getActionEntriesSorted() {
    List<ActionEntry<Email>> result = new ArrayList<>();

    result.add(emailSendeErneutAction);

    result.add(emailDeleteAction);

    return result;
  }
}
